- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# bsd_disklabel Struct Reference

`#include <hd.h>`

Collaboration diagram for bsd_disklabel:

[legend]

## Data Fields
u_int32_t | d_acylinders
u_int32_t | d_bbsize
u_int16_t | d_checksum
u_int16_t | d_cylskew
u_int32_t | d_drivedata [5]
u_int32_t | d_flags
u_int32_t | d_headswitch
u_int16_t | d_interleave
u_int32_t | d_magic
u_int32_t | d_magic2
u_int32_t | d_ncylinders
u_int16_t | d_npartitions
u_int32_t | d_nsectors
u_int32_t | d_ntracks
char | d_packname [16]
bsd_disklabel::partition | d_partitions [8]
u_int16_t | d_rpm
u_int32_t | d_sbsize
u_int32_t | d_secpercyl
u_int32_t | d_secperunit
u_int32_t | d_secsize
u_int32_t | d_spare [5]
u_int16_t | d_sparespercyl
u_int16_t | d_sparespertrack
u_int16_t | d_subtype
u_int16_t | d_trackskew
u_int32_t | d_trkseek
u_int16_t | d_type
char | d_typename [16]
## Data Structures
struct | partition

## Detailed Description

Definition at line 86 of file hd.h.

## Field Documentation

u_int32_t bsd_disklabel::d_acylinders

Definition at line 114 of file hd.h.

u_int32_t bsd_disklabel::d_bbsize

Definition at line 149 of file hd.h.

u_int16_t bsd_disklabel::d_checksum

Definition at line 145 of file hd.h.

u_int16_t bsd_disklabel::d_cylskew

Definition at line 136 of file hd.h.

u_int32_t bsd_disklabel::d_drivedata[5]

Definition at line 141 of file hd.h.

u_int32_t bsd_disklabel::d_flags

Definition at line 139 of file hd.h.

u_int32_t bsd_disklabel::d_headswitch

Definition at line 137 of file hd.h.

u_int16_t bsd_disklabel::d_interleave

Definition at line 134 of file hd.h.

u_int32_t bsd_disklabel::d_magic

Definition at line 87 of file hd.h.

u_int32_t bsd_disklabel::d_magic2

Definition at line 144 of file hd.h.

u_int32_t bsd_disklabel::d_ncylinders

Definition at line 98 of file hd.h.

u_int16_t bsd_disklabel::d_npartitions

Definition at line 148 of file hd.h.

Referenced by initHardDisk().

u_int32_t bsd_disklabel::d_nsectors

Definition at line 96 of file hd.h.

u_int32_t bsd_disklabel::d_ntracks

Definition at line 97 of file hd.h.

char bsd_disklabel::d_packname[16]

Definition at line 92 of file hd.h.

struct bsd_disklabel::partition bsd_disklabel::d_partitions[ 8 ]

Referenced by initHardDisk().

u_int16_t bsd_disklabel::d_rpm

Definition at line 133 of file hd.h.

u_int32_t bsd_disklabel::d_sbsize

Definition at line 150 of file hd.h.

u_int32_t bsd_disklabel::d_secpercyl

Definition at line 99 of file hd.h.

u_int32_t bsd_disklabel::d_secperunit

Definition at line 100 of file hd.h.

u_int32_t bsd_disklabel::d_secsize

Definition at line 95 of file hd.h.

u_int32_t bsd_disklabel::d_spare[5]

Definition at line 143 of file hd.h.

u_int16_t bsd_disklabel::d_sparespercyl

Definition at line 109 of file hd.h.

u_int16_t bsd_disklabel::d_sparespertrack

Definition at line 108 of file hd.h.

u_int16_t bsd_disklabel::d_subtype

Definition at line 89 of file hd.h.

u_int16_t bsd_disklabel::d_trackskew

Definition at line 135 of file hd.h.

u_int32_t bsd_disklabel::d_trkseek

Definition at line 138 of file hd.h.

u_int16_t bsd_disklabel::d_type

Definition at line 88 of file hd.h.

char bsd_disklabel::d_typename[16]

Definition at line 90 of file hd.h.

The documentation for this struct was generated from the following file:

- src/sys/include/pci/hd.h